Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007130TestLinkReports - Test report matrixpublic2015-05-22 15:072015-09-19 08:49
Reporterjphebert 
Assigned Tofman 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformTestlink 1.9.13 and priorsOSWindowsOS Version2008
Product Version1.9.13 (2015 #1) 
Fixed in Version1.9.14 (2015 Q3) 
Summary0007130: In a certain test campaign, test report matrix ends up in a php error.
DescriptionI get this error everytime I try to generate this result.

Fatal error: Out of memory (allocated 581435392) (tried to allocate 65488 bytes) in C:\xampp\htdocs\testlink\third_party\adodb\adodb.inc.php on line 1047

Steps To ReproduceTest reports - Select test campaign STM-SY-CC-SCADA-SACL - Click test report matrix.
Additional InformationI even tried to tweak the php.ini file to increase timeout or mb usage. Still fails.

This error has been known for quite a while now and updating testlink didnt solve the problem. Can you help?
TagsNo tags attached.
Database (MySQL,Postgres,etc)Mysql
BrowserChrome/ie/firefox
PHP Version5.6.8.0
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships

-  Notes
(0023393)
fman (administrator)
2015-05-23 14:42

1) get latest code from github, create sandbox with same db, retest & provide feedback
2) info provided is useless and incomplete.
as you can immagine issue can be related to size of your installation (number of test projects, test cases, test case versions, test suites, test suit nesting, etc), that you have not provided.

no action can be taken without a copy of your db
(0023397)
jphebert (reporter)
2015-05-25 15:14

Why has this become public? I will not upload a db if it's opened to anyone.

Thanks

Also, my .sql file to create the DB is 70 meg, compressed to 3.5mb. How can I get it to you?
(0023398)
fman (administrator)
2015-05-25 17:20

All tickets are public unless I consider has to be private.
Send me the file via mail or upload in a google drive or something similar.
I'me not asking you to make your db public, but ticket has to be public
(0023400)
fman (administrator)
2015-05-25 17:24

please truncate TRANSACTIONS & EVENT TABLES present on you TestLink DB before creating the dump
(0023406)
jphebert (reporter)
2015-05-26 12:29

Where can I mail you the DB?
(0023407)
fman (administrator)
2015-05-26 13:11

yes
(francisco.mancardi@gmail.com)
(0023409)
jphebert (reporter)
2015-05-26 13:37

Thanks! I have sent you the DB by mail.
(0023418)
fman (administrator)
2015-05-30 07:32

Work In Progress (using STM-SCADA-CLASSES)
(0023505)
fman (administrator)
2015-06-15 20:39

Throw when circular reference on record on nodes_hierarchy
https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/bb5d471425b85c2f180fd4060b2c2d452c1be958 [^]


on your db use:
SELECT id,name,parent_id,node_type_id,node_order
FROM nodes_hierarchy WHERE id = parent_id;
(0023514)
jphebert (reporter)
2015-06-16 16:26

That pointed us right to the looping entry.
We looked in the DB what was his rightfull parent and updated the DB.

Worked like a charm, thanks a bunch!
(0023515)
fman (administrator)
2015-06-16 17:11

great!. As usual if you find TestLink useful think about supporting this work through donations.

Another request:
Give a look to comments here:
http://sqa.stackexchange.com/questions/13378/what-makes-testlink-so-widely-accepted. [^]
If you can post good reason, please do it
(0023516)
fman (administrator)
2015-06-16 17:12

DATA ISSUE
(0023921)
fman (administrator)
2015-09-19 08:49

1.9.14 Padawan - released - 2015-09-19

- Issue History
Date Modified Username Field Change
2015-05-22 15:07 jphebert New Issue
2015-05-23 14:39 fman QA Team - Task Workflow Status => TBD
2015-05-23 14:39 fman View Status private => public
2015-05-23 14:42 fman Note Added: 0023393
2015-05-23 14:42 fman Assigned To => fman
2015-05-23 14:42 fman Status new => feedback
2015-05-25 15:14 jphebert Note Added: 0023397
2015-05-25 15:14 jphebert Status feedback => assigned
2015-05-25 17:20 fman Note Added: 0023398
2015-05-25 17:24 fman Note Added: 0023400
2015-05-25 18:37 fman Status assigned => feedback
2015-05-26 12:29 jphebert Note Added: 0023406
2015-05-26 12:29 jphebert Status feedback => assigned
2015-05-26 13:11 fman Note Added: 0023407
2015-05-26 13:37 jphebert Note Added: 0023409
2015-05-30 07:32 fman Note Added: 0023418
2015-06-15 20:39 fman Note Added: 0023505
2015-06-15 20:40 fman Status assigned => feedback
2015-06-16 16:26 jphebert Note Added: 0023514
2015-06-16 16:26 jphebert Status feedback => assigned
2015-06-16 17:11 fman Note Added: 0023515
2015-06-16 17:12 fman Note Added: 0023516
2015-06-16 17:12 fman Status assigned => resolved
2015-06-16 17:12 fman Fixed in Version => 1.9.14 (2015 Q3)
2015-06-16 17:12 fman Resolution open => fixed
2015-09-19 08:49 fman Note Added: 0023921
2015-09-19 08:49 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker